Skip to main content
`Ctrl`+`K`

# SNESNewtonTRGetUpdateParameters

Gets the trust region update parameters.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNewtonTRGetUpdateParameters(SNES snes, PetscReal *eta1, PetscReal *eta2, PetscReal *eta3, PetscReal *t1, PetscReal *t2)

Not Collective

## Input Parameter

- snes - the `SNES` context

## Output Parameters

- eta1 - acceptance tolerance

- eta2 - shrinking tolerance

- eta3 - enlarging tolerance

- t1 - shrink factor

- t2 - enlarge factor

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESNEWTONTR`, `SNESNewtonTRSetUpdateParameters()`

## Level

intermediate

## Location

src/snes/impls/tr/tr.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages